AgentCommandsClientFactory (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.client.AgentCommandsClientFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.client
Class AgentCommandsClientFactory

    java.lang.Object
      org.hyperic.hq.agent.client.AgentCommandsClientFactory

    public class AgentCommandsClientFactory

extends java.lang.Object

A factory for returning Agent Commands clients depending on if the agent uses the legacy or new transport.

Method Summary
`AgentCommandsClient` | `getClient(Agent agent)`
`AgentCommandsClient` | `getClient(AppdefEntityID aid)`
`AgentCommandsClient` | `getClient(java.lang.String agentToken)`
`AgentCommandsClient` | `getClient(java.lang.String agentAddress, int agentPort, java.lang.String authToken, boolean isNewTransportAgent, boolean unidirectional)`
`static AgentCommandsClientFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static AgentCommandsClientFactory getInstance()

### getClient

    public AgentCommandsClient getClient(AppdefEntityID aid)
                                  throws AgentNotFoundException

  Throws:
    `AgentNotFoundException`

### getClient

    public AgentCommandsClient getClient(java.lang.String agentToken)
                                  throws AgentNotFoundException

  Throws:
    `AgentNotFoundException`

### getClient

    public AgentCommandsClient getClient(Agent agent)

### getClient

    public AgentCommandsClient getClient(java.lang.String agentAddress,
                                         int agentPort,
                                         java.lang.String authToken,
                                         boolean isNewTransportAgent,
                                         boolean unidirectional)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.